Skip to main content
POST
/
image-generation
seedream-4.5
curl --request POST \
  --url https://api.linkmodel.ai/api/v1/image-generation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "seedream-4.5",
  "prompt": "<string>",
  "images": [
    "<string>"
  ],
  "max_images": 1
}
'
{
  "code": 0,
  "data": {
    "task_id": "cb6111cf-e89f-4978-b8e3-aa59c21cceff",
    "order_id": "019da9cf-d1db-78e1-ac23-526774d01193",
    "status": "processing",
    "price": 0.074
  },
  "msg": "success",
  "request_id": "250b66dd-e1fb-4bb6-b5f6-c668efadc35d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
enum<string>
required

Must be one of: seedream-4.5.

Available options:
seedream-4.5
prompt
string
required

Length must be between 1 and 5000.

Required string length: 1 - 5000
images
string<url>[]

Maximum 14 items.

Maximum array length: 14
size
enum<string>

Must be one of: 16x9, 1x1, 21x9, 2x3, 3x2, 3x4, 4x3, 9x16.

Available options:
16x9,
1x1,
21x9,
2x3,
3x2,
3x4,
4x3,
9x16
quality
enum<string>

Must be one of: 2K, 4K.

Available options:
2K,
4K
max_images
enum<integer>
default:1

Must be one of: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15. Defaults to 1.

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15

Response

Task accepted and queued for generation.

code
integer
Example:

0

data
object
msg
string
Example:

"success"

request_id
string<uuid>
Example:

"250b66dd-e1fb-4bb6-b5f6-c668efadc35d"